Subject: Re: [sup-talk] Getting gpg to work

From: Micah Anderson <[email-masked]>
Date: Tue, 10 Nov 2009 18:47:18 -0500

William Morgan <[email-masked]> writes:

> Reformatted excerpts from Micah Anderson's message of 2009-05-28:
>> [Fri May 29 00:17:42 -0400 2009] crypto: detected gpg binary in /usr/bin/gpg
>
> Any other obvious messages in the log about multipart/encrypted?

I failed to respond to this message, partly because I think I decided to
give up on sup at the time. But I am back now, because sup is so
alluring, and I'm trying harder to switch this time :)

This time, gpg works fine... although it is using the wrong gpg keyid
when I try to send. I did manage to find and set the gpgkey configurable
in the .sup/config.yaml:

:accounts: 
  :default: 
    :signature: /home/micah/.signature
    :email: [email-masked]
    :sendmail: /usr/sbin/sendmail -oem -ti
    :name: micah anderson
    :gpgkey: 0xDEADBEEF

but still, that key does not get used, and instead the first key in my
keyring for my email@address gets used instead. I do not want that,
because that key is set to expire in about a week.

micah

_______________________________________________
sup-talk mailing list
[email-masked]
http://rubyforge.org/mailman/listinfo/sup-talk